<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Module: NewMaterial</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Module: NewMaterial</h1>

    




<section>

<header>
    
        
            
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class="description"></p></div></div> 




<h3 class="subsection-title" style="margin-top: 1em" data-jsdoc-vuejs="section-data">Data</h3>
<table data-jsdoc-vuejs="table-data">
    <thead>
    <tr>
        <th>Name</th>
        <th>Type</th>
        <th>Default value</th>
        <th>Description</th>
    </tr>
    </thead>
    <tbody><tr>
        <td><code>optionsMat</code></td>
        <td>Number</td>
        <td>-</td>
        <td>Opcion de la categoria de materiales a elegir</td>
    </tr><tr>
        <td><code>form</code></td>
        <td>Object</td>
        <td>-</td>
        <td>Formulario en limpio del material</td>
    </tr><tr>
        <td><code>genders</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Propiedad donde se almacena la lista de generos</td>
    </tr><tr>
        <td><code>channels</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Canales de transmision</td>
    </tr><tr>
        <td><code>rules</code></td>
        <td>Array</td>
        <td>-</td>
        <td>Reglas con las validaciones en cada campo del formulario</td>
    </tr><tr>
        <td><code>materialEdit</code></td>
        <td>Object</td>
        <td>-</td>
        <td>Aqui se almacenara los datos del material que se pondra en edicion</td>
    </tr></tbody>
</table>







<div class="container-overview"><div><p> 
</div>
        

        
            















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>




















        
    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="addTitles"><span class="type-signature"></span>addTitles<span class="signature">(val)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Copia el titulo en los 3 campos al dar a la tecla Enter
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>val</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Texto enviado</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1525">line 1525</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="changeCap"><span class="type-signature"></span>changeCap<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Definir los capitulos de un material
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>val.value</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">value es el valor del capitulo inicial o final</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>val.element</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">element es una cadena que define si es el capitulo inicial o final</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1119">line 1119</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="changeTotalCaps"><span class="type-signature"></span>changeTotalCaps<span class="signature">(newTotalChapters)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Automatiza la generacion del primer capitulo y el ultimo, apareciendo los 2 imputs al asignar la cantidad de capitulos
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>newTotalChapters</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Cantidad de capitulos del material</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line2106">line 2106</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="fetchMaterial"><span class="type-signature"></span>fetchMaterial<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae los datos del material, en caso sea edicion los datos dependiendo del id, sino vacios
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1400">line 1400</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="generateCodeTypeCont"><span class="type-signature"></span>generateCodeTypeCont<span class="signature">(val)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Compara los datos del centro de costo dependiendo del codigo
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>val</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Codigo del centro de costo seleccionadose</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1383">line 1383</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getCostCenter"><span class="type-signature"></span>getCostCenter<span class="signature">(filter)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la informacion del centro de costo dependiendo del dato que se envie
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>filter</code></td>
            

            <td class="type">
            
                
<span class="param-type">Object</span>


            
            </td>

            

            

            <td class="description last">Envia el codigo y el nombre, dependiendo de cual este vacio es de que manera va a filtar</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1372">line 1372</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="getSignals"><span class="type-signature"></span>getSignals<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista de señales
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line2218">line 2218</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="gettingChannels"><span class="type-signature"></span>gettingChannels<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    METODO PARA VERIFICAR SI CONTIENE EL CANAL AMERICA NEXT, PARA QUE LUEGO SE AGREGUE COMO SEÑAL EN ORCL
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line2072">line 2072</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="gettingUsername"><span class="type-signature"></span>gettingUsername<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae el nombre del usuario conectado en ese instante
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1535">line 1535</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="handleSelectCostCenter"><span class="type-signature"></span>handleSelectCostCenter<span class="signature">(item)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae los datos del centro de costo con su codigo y el nombre
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>item</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Puede ser el codigo o nombre del centro de costo</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1212">line 1212</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="isNumber"><span class="type-signature"></span>isNumber<span class="signature">(evt)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Validacio de que solo sea numero
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>evt</code></td>
            

            <td class="type">
            
                
<span class="param-type">Number</span>


            
            </td>

            

            

            <td class="description last">valor que solo sea numero</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1509">line 1509</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="modificandoLaDuracionArtisticaSiTieneCortes"><span class="type-signature"></span>modificandoLaDuracionArtisticaSiTieneCortes<span class="signature">(type, arrayCortes)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Mofica la duracion de un material tomando en cuenta la cantidad y el tiempo de los cortes
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>type</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">String que define el tip de corte</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>arrayCortes</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last">cantidad de cortes de un capitulo</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1252">line 1252</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="newMaterialResetForm"><span class="type-signature"></span>newMaterialResetForm<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Devolver valores a su estado vacio
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1141">line 1141</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="onSubmit"><span class="type-signature"></span>onSubmit<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Envia los datos de un material nuevo
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1950">line 1950</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="querySearchCodeCostCenter"><span class="type-signature"></span>querySearchCodeCostCenter<span class="signature">(queryString)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista de los centros de costos filtrados por el codigo
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>queryString</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Texto del codigo que se va escribiendo</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1232">line 1232</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="querySearchNameCostCenter"><span class="type-signature"></span>querySearchNameCostCenter<span class="signature">(queryString)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la lista de los centros de costos filtrados por el nombre
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>queryString</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">Texto del nombre que se va escribiendo</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1226">line 1226</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="submitForm"><span class="type-signature"></span>submitForm<span class="signature">(formName)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Envia los datos del formulario para actualizar un material
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>formName</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>


            
            </td>

            

            

            <td class="description last">El valor del formulario para argumentar</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1929">line 1929</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="updatedMaterial"><span class="type-signature"></span>updatedMaterial<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Actualiza el material a los valores nuevos que se les asigne
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1553">line 1553</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="verificandoSiLosCortesSuperanLaDuracionDelMaterial"><span class="type-signature"></span>verificandoSiLosCortesSuperanLaDuracionDelMaterial<span class="signature">(videoCutting)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Validacion si la cantidad de cortes no superen la duracion del material
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>videoCutting</code></td>
            

            <td class="type">
            
                
<span class="param-type">Array</span>


            
            </td>

            

            

            <td class="description last">Lista de los cortes a validar</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1288">line 1288</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="verificarInformacion"><span class="type-signature"></span>verificarInformacion<span class="signature">()</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Trae la informacion del capitulo seleccionado
</div>













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="materials_NewMaterial.vue.html">materials/NewMaterial.vue</a>, <a href="materials_NewMaterial.vue.html#line1182">line 1182</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Modules</h3><ul><li><a href="module-ConfirmedContract.html">ConfirmedContract</a></li><li><a href="module-Contract.html">Contract</a></li><li><a href="module-Cut.html">Cut</a></li><li><a href="module-HistoryContract.html">HistoryContract</a></li><li><a href="module-Material.html">Material</a></li><li><a href="module-Material2.html">Material2</a></li><li><a href="module-NewContract.html">NewContract</a></li><li><a href="module-NewMaterial.html">NewMaterial</a></li><li><a href="module-NewMaterial2.html">NewMaterial2</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Wed Aug 11 2021 17:08:52 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>